Subject: bug#35048: Evolution Mail Client - Unable to add account

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 30 Mar 2019 16:12:56 +0100

Raghav,

Raghav Gururajan wrote:
> When I click "Apply" at the last step of "Add Account Wizard", I 
> am getting the error "The name 
> org.gnome.evolution.dataserver.Sources5 was not provided by any 
> .service files".

If you're comfortable installing packages from Guix source, could 
you give the attached patch a try?  (If you're not, I urge you to 
try anyway — it's not that hard :-)

It's a stab in the dark, since I can't actually run evolution 
myself:

  $ evolution
  …
  (evolution:24611): GLib-GIO-ERROR **: 16:03:44.198: Settings 
  schema
  'org.gnome.desktop.lockdown' is not installed
  Trace/breakpoint trap
  $

Ah, GNOME.

Kind regards,

T G-R

From accd1c79a52dd7d267cf13cc67cfdd8c8a8e160c Mon Sep 17 00:00:00 2001
From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 30 Mar 2019 16:06:08 +0100
Subject: [PATCH] gnu: evolution: Propagate evolution-data-server.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* gnu/packages/gnome.scm (evolution)[inputs]: Move evolution-data-server…
[native-inputs]: …here.
---
 gnu/packages/gnome.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 060379aba9..a6395974b0 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -7584,7 +7584,6 @@ generic enough to work for everyone.")
        ("itstool" ,itstool)))
     (inputs
      `(("enchant" ,enchant)
-       ("evolution-data-server" ,evolution-data-server) ; must be the same version
        ("gcr" ,gcr)
        ("gnome-autoar" ,gnome-autoar)
        ("gnome-desktop" ,gnome-desktop)
@@ -7598,6 +7597,8 @@ generic enough to work for everyone.")
        ("openldap" ,openldap)
        ("webkitgtk" ,webkitgtk)
        ("ytnef" ,ytnef)))
+    (propagated-inputs
+     `(("evolution-data-server" ,evolution-data-server))) ; must be same version
     (home-page "https://gitlab.gnome.org/GNOME/evolution")
     (synopsis "Manage your email, contacts and schedule")
     (description "Evolution is a personal information management application
-- 
2.21.0